//[kakao](../../../index.md)/[io.github.kakaocup.kakao.common.builders](../index.md)/[ViewBuilder](index.md)



# ViewBuilder  
 [androidJvm] class [ViewBuilder](index.md)

Class for building view matchers and interactions



This class helps to build matches for views and get their interactions. Please note that any function invoking will add specific matcher to the list and after that all of them will be combined with help of AllOf.allOf()

   


## See also  
  
androidJvm  
  
| | |
|---|---|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder///PointingToDeclaration/"></a>org.hamcrest.core.AllOf| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder///PointingToDeclaration/"></a><br><br>()<br><br>|
  


## Constructors  
  
| | |
|---|---|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/ViewBuilder/#/PointingToDeclaration/"></a>[ViewBuilder](-view-builder.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/ViewBuilder/#/PointingToDeclaration/"></a> [androidJvm] fun [ViewBuilder](-view-builder.md)()   <br>|


## Functions  
  
|  Name |  Summary | 
|---|---|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/containsText/#kotlin.String/PointingToDeclaration/"></a>[containsText](contains-text.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/containsText/#kotlin.String/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [containsText](contains-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches the view which contain given text  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/getViewInteractionDelegate/#/PointingToDeclaration/"></a>[getViewInteractionDelegate](get-view-interaction-delegate.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/getViewInteractionDelegate/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [getViewInteractionDelegate](get-view-interaction-delegate.md)(): [ViewInteractionDelegate](../../io.github.kakaocup.kakao.delegate/-view-interaction-delegate/index.md)  <br>More info  <br>Returns view interaction delegate based on all given matchers  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/getViewMatcher/#/PointingToDeclaration/"></a>[getViewMatcher](get-view-matcher.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/getViewMatcher/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [getViewMatcher](get-view-matcher.md)(): Matcher<[View](https://developer.android.com/reference/kotlin/android/view/View.html)>  <br>More info  <br>Returns combined view matcher with AllOf.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isAssignableFrom/#java.lang.Class[android.view.View]/PointingToDeclaration/"></a>[isAssignableFrom](is-assignable-from.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isAssignableFrom/#java.lang.Class[android.view.View]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isAssignableFrom](is-assignable-from.md)(clazz: [Class](https://developer.android.com/reference/kotlin/java/lang/Class.html)<out [View](https://developer.android.com/reference/kotlin/android/view/View.html)>)  <br>More info  <br>Matches views based on instance or subclass of the provided class.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isClickable/#/PointingToDeclaration/"></a>[isClickable](is-clickable.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isClickable](is-clickable.md)()  <br>More info  <br>Matches the view that is clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[isCompletelyDisplayed](is-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isCompletelyDisplayed](is-completely-displayed.md)()  <br>More info  <br>Matches the view that is completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDescendantOfA/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isDescendantOfA](is-descendant-of-a.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDescendantOfA/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isDescendantOfA](is-descendant-of-a.md)(function: [ViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Matches the view which is descendant of given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDisabled/#/PointingToDeclaration/"></a>[isDisabled](is-disabled.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDisabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isDisabled](is-disabled.md)()  <br>More info  <br>Matches the view if it is not in ENABLED state  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDisplayed/#/PointingToDeclaration/"></a>[isDisplayed](is-displayed.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isDisplayed](is-displayed.md)()  <br>More info  <br>Matches the view that is displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isEnabled/#/PointingToDeclaration/"></a>[isEnabled](is-enabled.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isEnabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isEnabled](is-enabled.md)()  <br>More info  <br>Matches the view if it is in ENABLED state  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isFirst/#/PointingToDeclaration/"></a>[isFirst](is-first.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isFirst/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isFirst](is-first.md)()  <br>More info  <br>Matches the first view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isGone/#/PointingToDeclaration/"></a>[isGone](is-gone.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isGone/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isGone](is-gone.md)()  <br>More info  <br>Matches the view with GONE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isInstanceOf/#java.lang.Class[*]/PointingToDeclaration/"></a>[isInstanceOf](is-instance-of.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isInstanceOf/#java.lang.Class[*]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isInstanceOf](is-instance-of.md)(clazz: [Class](https://developer.android.com/reference/kotlin/java/lang/Class.html)<*>)  <br>More info  <br>Matches the view by class instance  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isInvisible/#/PointingToDeclaration/"></a>[isInvisible](is-invisible.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isInvisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isInvisible](is-invisible.md)()  <br>More info  <br>Matches the view with INVISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotClickable/#/PointingToDeclaration/"></a>[isNotClickable](is-not-clickable.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isNotClickable](is-not-clickable.md)()  <br>More info  <br>Matches the view that is not clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[isNotCompletelyDisplayed](is-not-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isNotCompletelyDisplayed](is-not-completely-displayed.md)()  <br>More info  <br>Matches the view that is not completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotDisplayed/#/PointingToDeclaration/"></a>[isNotDisplayed](is-not-displayed.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isNotDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isNotDisplayed](is-not-displayed.md)()  <br>More info  <br>Matches the view that is not displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isRoot/#/PointingToDeclaration/"></a>[isRoot](is-root.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isRoot/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isRoot](is-root.md)()  <br>More info  <br>Matches only root views  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isVisible/#/PointingToDeclaration/"></a>[isVisible](is-visible.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/isVisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [isVisible](is-visible.md)()  <br>More info  <br>Matches the view with VISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withAnyText/#/PointingToDeclaration/"></a>[withAnyText](with-any-text.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withAnyText/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withAnyText](with-any-text.md)()  <br>More info  <br>Matches the view which contains any text  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[withBackgroundColor](with-background-color.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withBackgroundColor](with-background-color.md)(@[ColorRes](https://developer.android.com/reference/kotlin/androidx/annotation/ColorRes.html)()resId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>More info  <br>Matches the view with given background color  <br><br><br>[androidJvm]  <br>Content  <br>fun [withBackgroundColor](with-background-color.md)(colorCode: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches the view with given background color code  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withClassName/#org.hamcrest.Matcher[kotlin.String]/PointingToDeclaration/"></a>[withClassName](with-class-name.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withClassName/#org.hamcrest.Matcher[kotlin.String]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withClassName](with-class-name.md)(matcher: Matcher<[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)>)  <br>More info  <br>Matches the view which class name matches given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withContentDescription/#kotlin.Int/PointingToDeclaration/"></a>[withContentDescription](with-content-description.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withContentDescription/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withContentDescription](with-content-description.md)(@[StringRes](https://developer.android.com/reference/kotlin/androidx/annotation/StringRes.html)()resourceId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>fun [withContentDescription](with-content-description.md)(description: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches the view with given content description  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[withDescendant](with-descendant.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withDescendant](with-descendant.md)(function: [ViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Matches the view which has descendant of given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withDrawable/#android.graphics.drawable.Drawable#kotlin.Function1[android.graphics.drawable.Drawable,android.graphics.Bitmap]?/PointingToDeclaration/"></a>[withDrawable](with-drawable.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withDrawable/#android.graphics.drawable.Drawable#kotlin.Function1[android.graphics.drawable.Drawable,android.graphics.Bitmap]?/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withDrawable](with-drawable.md)(drawable: [Drawable](https://developer.android.com/reference/kotlin/android/graphics/drawable/Drawable.html), toBitmap: (drawable: [Drawable](https://developer.android.com/reference/kotlin/android/graphics/drawable/Drawable.html)) -> [Bitmap](https://developer.android.com/reference/kotlin/android/graphics/Bitmap.html)? = null)  <br>fun [withDrawable](with-drawable.md)(@[DrawableRes](https://developer.android.com/reference/kotlin/androidx/annotation/DrawableRes.html)()resId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html), toBitmap: (drawable: [Drawable](https://developer.android.com/reference/kotlin/android/graphics/drawable/Drawable.html)) -> [Bitmap](https://developer.android.com/reference/kotlin/android/graphics/Bitmap.html)? = null)  <br>More info  <br>Matches the view with given drawable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withId/#kotlin.Int/PointingToDeclaration/"></a>[withId](with-id.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withId/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withId](with-id.md)(id: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>More info  <br>Matches the view with given resource id  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withIndex/#kotlin.Int#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[withIndex](with-index.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withIndex/#kotlin.Int#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withIndex](with-index.md)(index: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html), function: [ViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Matches only view at given [index](with-index.md), if there are multiple views that matches  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withMatcher/#org.hamcrest.Matcher[android.view.View]/PointingToDeclaration/"></a>[withMatcher](with-matcher.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withMatcher/#org.hamcrest.Matcher[android.view.View]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withMatcher](with-matcher.md)(matcher: Matcher<[View](https://developer.android.com/reference/kotlin/android/view/View.html)>)  <br>More info  <br>Matches the view with given custom matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withoutText/#kotlin.Int/PointingToDeclaration/"></a>[withoutText](without-text.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withoutText/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withoutText](without-text.md)(@[StringRes](https://developer.android.com/reference/kotlin/androidx/annotation/StringRes.html)()resId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>fun [withoutText](without-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches if the view does not have a given text  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withParent/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[withParent](with-parent.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withParent/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withParent](with-parent.md)(function: [ViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Matches the view which has parent with given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withRating/#kotlin.Float/PointingToDeclaration/"></a>[withRating](with-rating.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withRating/#kotlin.Float/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withRating](with-rating.md)(rating: [Float](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html))  <br>More info  <br>Matches the view which is RatingBar with given value  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withResourceName/#kotlin.String/PointingToDeclaration/"></a>[withResourceName](with-resource-name.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withResourceName/#kotlin.String/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withResourceName](with-resource-name.md)(name: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches the view with given resource name  <br><br><br>[androidJvm]  <br>Content  <br>fun [withResourceName](with-resource-name.md)(matcher: Matcher<[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)>)  <br>More info  <br>Matches the view by resource name with given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[withSibling](with-sibling.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withSibling](with-sibling.md)(function: [ViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Matches the view which has sibling of given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withTag/#kotlin.Any/PointingToDeclaration/"></a>[withTag](with-tag.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withTag/#kotlin.Any/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withTag](with-tag.md)(tag: [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html))  <br>More info  <br>Matches the view with given tag assigned  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withText/#kotlin.Int/PointingToDeclaration/"></a>[withText](with-text.md)| <a name="io.github.kakaocup.kakao.common.builders/ViewBuilder/withText/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>fun [withText](with-text.md)(@[StringRes](https://developer.android.com/reference/kotlin/androidx/annotation/StringRes.html)()textId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>fun [withText](with-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Matches the view with given text  <br><br><br>[androidJvm]  <br>Content  <br>fun [withText](with-text.md)(matcher: Matcher<[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)>)  <br>More info  <br>Matches the view with given text matcher  <br><br><br>|

